Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface ScriptSecurity

All Known Implementing Classes:
  DefaultScriptSecurity, EmbededScriptSecurity, NoLoadScriptSecurity, RelaxedScriptSecurity

public interface ScriptSecurity

An interface that allows UserAgents to describe the security constraints desired for scripting. Right now, this interface only has one method, but it may be extended in the future to add finer control over the security settings for scripts.

Method Summary
`void` | `checkLoadScript()` Controls whether the script should be loaded or not.

Method Detail

### checkLoadScript

    public void checkLoadScript()

  Controls whether the script should be loaded or not.

  Throws:
    `java.lang.SecurityException` - if the script should not be loaded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.